#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	talloc
Version		:	2.4.1
Release		:	14.8.0.0%{?dist}
Summary		:	Hierarchical pool based memory allocator with destructors


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://talloc.samba.org/ftp/talloc/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	python3
#-----------------------------------------------------------------------------
%description
A library that implements a hierarchical allocator with destructors.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*
%{_libdir}/libpy%{name}-util.cpython-%{pyt3num}*so.2*
 
#=============================================================================
%package		devel
Summary		:	Developer tools for the Talloc library
Requires	:	%{name}		= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		devel
Header files needed to develop programs that link against the Talloc library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_includedir}/py%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-compat1-%{version}.so
%{_libdir}/libpy%{name}-*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/py%{name}*.pc
%{python3_sitearch}/%{name}.cpython-%{pyt3num}*.so
%{_mandir}/man3/%{name}*.3.gz

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=/var				\
	--sysconfdir=%{_sysconfdir}/samba		\
	--bundled-libraries=NONE			\
	--builtin-libraries=replace			\
	--enable-talloc-compat1				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

#-----------------------------------------------------------------------------
%changelog
